package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "DESENSITIZATIONSOURCE"
)
public class Desensitizationsource extends TBaseEntity implements Serializable {
   private String datasourceid;
   private String dataschema;
   private String taskid;
   private String execution_type;
   private String sourcefiledir;
   private String isdmpfile;
   private String dmptype;
   private String multiDempFile;
   private String filelist;

   public String getFilelist() {
      return this.filelist;
   }

   public void setFilelist(String filelist) {
      this.filelist = filelist;
   }

   public String getMultiDempFile() {
      return this.multiDempFile;
   }

   public void setMultiDempFile(String multiDempFile) {
      this.multiDempFile = multiDempFile;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getDataschema() {
      return this.dataschema;
   }

   public void setDataschema(String dataschema) {
      this.dataschema = dataschema;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getExecution_type() {
      return this.execution_type;
   }

   public void setExecution_type(String execution_type) {
      this.execution_type = execution_type;
   }

   public String getSourcefiledir() {
      return this.sourcefiledir;
   }

   public void setSourcefiledir(String sourcefiledir) {
      this.sourcefiledir = sourcefiledir;
   }

   public String getIsdmpfile() {
      return this.isdmpfile;
   }

   public void setIsdmpfile(String isdmpfile) {
      this.isdmpfile = isdmpfile;
   }

   public String getDmptype() {
      return this.dmptype;
   }

   public void setDmptype(String dmptype) {
      this.dmptype = dmptype;
   }
}
